<!-- -------------------- ./adm/doslist.html -------------------- -->

<?php include "head_top_dsfr.html"; ?>

<?php include "part_tabs_dsfr.html"; ?>

<div id="contents-panel" class="fr-tabs__panel fr-tabs__panel--selected" role="tabpanel" aria-labelledby="contents-tab" tabindex="0">

  <div class="fr-grid-row fr-grid-row--gutters">
    <div class="fr-col fr-col-md-2 fr-col-lg-2">
      <a class="fr-btn  fr-btn--sm create-content fr-btn--icon-left fr-icon-close-circle-fill" href="<?php echo $this->URL->GetAdmMethod1Arg('CloseRes',$this->CURTAB); ?>"> Fermer </a>
    </div>
    <div class="fr-col fr-col-md-10 fr-col-lg-10">
      <h6>liste des dossiers associés à l'utilisateur : <strong><?php echo $this->SEARCHINFO['gvname']." ".$this->SEARCHINFO['name']."  ( ".$this->SEARCHINFO['mail']." )"; ?> </strong></h6>
    </div>
  </div>

  
<!-- --------- start doslist ----------- -->

<table id="dostable" class="table table-sm table-hover tablesorter">
<thead>
<tr class='thead'>
 <th>&nbsp;dossier</th>
 <th>&nbsp;mots de passe</th>
 <th>&nbsp;dernière modification</th>
 <th>&nbsp;fin de vie</th>
</tr>
</thead>
<tbody>
<?php 
include "tpl/func/disp_status.php";
foreach ($this->DPLIST as $did => $ddata ) : 
 $mode = $ddata['mode'];
 $elem = $ddata['data'];
?>
<tr class="datarow">
 <td><span class="dnam"><a href="<?php echo $this->URL->GetAdmMethodWithDID('View',$did); ?>" ><?php echo $elem['title']; ?></a></span></td>
 <td><?php echo @$elem['passwd']; echo (isset($elem['passadm']))?" / ".$elem['passadm']:""; ?></td>
 <td><span class="dmod"><?php echo $elem['modified']; ?></span></td>
 <td><span class="deol"><?php echo $elem['endoflife']; ?></span></td>
</tr>
<?php
endforeach;
?>

</tbody>
</table>

<!-- -------------------------------------------------------------------- -->


<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<script src="/pub/jsext/jquery.tablesorter.min.js"></script>

<!--  -->
<script src="/pub/jsint/togglemodal.js"></script>
<script src="/pub/jsint/filter.js"></script>
<script src="/pub/jsint/sortstuff.js"></script>

<script>
$(document).ready(function() { 
  $("#dostable").tablesorter({headers:{6:{sorter:false}},sortList: [[<?php echo @$this->SVSORT; ?>]]} ); 
  GlobalFilter();
} 
);
</script>

<script>
  #$('[data-toggle="tooltip"]').tooltip();
  $('#dostable').on('sortEnd', function(event) {
    SortSave('AD', event.target.config.sortList);
  });
</script>


</body>
</html>


